import sys
from PyQt4 import QAxContainer
from PyQt4.QtCore import QVariant
from PyQt4.QtGui import QMainWindow, QApplication

class MainWindow(QMainWindow):
    def __init__(self):
        QMainWindow.__init__(self)
        axc = QAxContainer.QAxWidget(self)
        self.setCentralWidget(axc)
        axc.setControl('{8856F961-340A-11D0-A96B-00C04FD705A2}')        # Webbrowser

        params = [QVariant(x) for x in ("www.google.com", 0, "", "", "")]

        if 1:

            # this works as "*params" is identical to "params[0], params[1], params[2], params[3], params[4]"

            axc.dynamicCall("Navigate(QString, QVariant&, QVariant&, QVariant&, QVariant&)", *params)

        else:

            # this does not work; the browser control only shows the typical "site cannot be displayed" message

            axc.dynamicCall("Navigate(QString, QVariant&, QVariant&, QVariant&, QVariant&)", params)

app = QApplication(sys.argv)

window = MainWindow()
window.show()

app.exec_()
